# UNAC

CC = cl
AR = lib

DEBUG = 0
DLL = 0
DLLDEBUG = 0
GSDL_VC4 = 0

INCLUDES = -I. -DUNAC_VERSION=\"1.7.0\"

!IF $(DEBUG)
CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
!ELSE
CXXFLAGS =
!ENDIF

!IF $(GSDL_VC4)
CXXFLAGS = $(CXXFLAGS) -GX
!ELSE
CXXFLAGS = $(CXXFLAGS) -EHsc
!ENDIF

!IF $(DLL)
CXXFLAGS = $(CXXFLAGS) -MD 
!ELSE
!IF ($(DLLDEBUG))
CXXFLAGS = $(CXXFLAGS) -MDd
!ENDIF
!ENDIF


COMPILE = $(CC) -nologo -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
LINK = $(CC) -nologo $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
e = .exe

LIBS = $(ICONVLIB)

HEADERS = unac.h

SOURCES = unac.c 

OBJECTS = unac$o 

DEFS = 

all: libunac.lib

libunac.lib: $(OBJECTS)
	if EXIST libunac.lib del libunac.lib
	$(AR) -nologo /out:libunac.lib $(OBJECTS)

install: all

clean:
	del *.obj libunac.lib


